Bug 133594 - newer RLIMIT_ values not handled
Summary: newer RLIMIT_ values not handled
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-24 23:55 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 22:11:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add support for the missing RLIMIT_ values (424 bytes, patch)
2004-09-24 23:56 UTC, Ulrich Drepper
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:131 normal SHIPPED_LIVE strace bug fix update 2005-05-19 04:00:00 UTC

Description Ulrich Drepper 2004-09-24 23:55:28 UTC
Description of problem:
Some of the newer RLIMIT_ values are not handled.

Version-Release number of selected component (if applicable):
strace-4.5.7-2

How reproducible:
always

Steps to Reproduce:
1.strace code using RLIMIT_LOCKS
2.
3.
  
Actual results:
getrlimit(0xa /* RLIMIT_??? */, {rlim_cur=RLIM_INFINITY,
rlim_max=RLIM_INFINITY}) = 0


Expected results:
getrlimit(RLIMIT_LOCKS, {rlim_cur=RLIM_INFINITY,
rlim_max=RLIM_INFINITY}) = 0

Additional info:
I'll attach a patch.

Comment 1 Ulrich Drepper 2004-09-24 23:56:17 UTC
Created attachment 104299 [details]
Patch to add support for the missing RLIMIT_ values

Comment 2 Roland McGrath 2004-10-06 22:11:48 UTC
The patch is in upstream.

Comment 3 Tim Powers 2005-05-19 21:10:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html



Note You need to log in before you can comment on or make changes to this bug.